read_verilog -sv /eda/processor_ci/rtl/scr1.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/scr1_clk_ctrl.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/scr1_core_top.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/scr1_dm.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/scr1_dmi.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/scr1_scu.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/scr1_tapc.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/scr1_tapc_shift_reg.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/scr1_tapc_synchronizer.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/pipeline/scr1_ipic.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/pipeline/scr1_pipe_csr.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/pipeline/scr1_pipe_exu.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/pipeline/scr1_pipe_hdu.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/pipeline/scr1_pipe_ialu.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/pipeline/scr1_pipe_idu.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/pipeline/scr1_pipe_ifu.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/pipeline/scr1_pipe_lsu.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/pipeline/scr1_pipe_mprf.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/pipeline/scr1_pipe_tdu.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/pipeline/scr1_pipe_top.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/pipeline/scr1_tracelog.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/primitives/scr1_cg.sv
read_verilog -sv /var/jenkins_home/workspace/scr1/scr1/src/core/primitives/scr1_reset_cells.sv
set_property include_dirs [list "/var/jenkins_home/workspace/scr1/scr1/src/includes" ] [get_filesets sources_1]
read_verilog -sv /eda/processor-ci-controller/modules/uart.sv
read_verilog /eda/processor-ci-controller/modules/UART/rtl/uart_rx.v
read_verilog /eda/processor-ci-controller/modules/UART/rtl/uart_tx.v

#read_verilog -sv /eda/processor-ci-controller/modules/spi.sv;
#read_verilog -sv /eda/processor-ci-controller/modules/SPI-Slave/rtl/spi_slave.sv;

read_verilog -sv /eda/processor-ci-controller/rtl/ahblite_to_wishbone.sv
read_verilog -sv /eda/processor-ci-controller/rtl/axi4_to_wishbone.sv
read_verilog -sv /eda/processor-ci-controller/rtl/axi4lite_to_wishbone.sv
read_verilog -sv /eda/processor-ci-controller/rtl/fifo.sv
read_verilog -sv /eda/processor-ci-controller/rtl/reset.sv
read_verilog -sv /eda/processor-ci-controller/rtl/clk_divider.sv
read_verilog -sv /eda/processor-ci-controller/rtl/memory.sv
read_verilog -sv /eda/processor-ci-controller/rtl/interpreter.sv
read_verilog -sv /eda/processor-ci-controller/rtl/controller.sv

set_param general.maxThreads 16

read_xdc "/eda/processor_ci/constraints/digilent_arty_a7_100t.xdc"
set_property PROCESSING_ORDER EARLY [get_files /eda/processor_ci/constraints/digilent_arty_a7_100t.xdc]

# synth
synth_design -top "processorci_top" -part "xc7a100tcsg324-1"

# place and route
opt_design
place_design

report_utilization -hierarchical -file digilent_arty_a7_utilization_hierarchical_place.rpt
report_utilization               -file digilent_arty_a7_utilization_place.rpt
report_io                        -file digilent_arty_a7_io.rpt
report_control_sets -verbose     -file digilent_arty_a7_control_sets.rpt
report_clock_utilization         -file digilent_arty_a7_clock_utilization.rpt


route_design

report_timing_summary -no_header -no_detailed_paths
report_route_status                            -file digilent_arty_a7_route_status.rpt
report_drc                                     -file digilent_arty_a7_drc.rpt
report_timing_summary -datasheet -max_paths 10 -file digilent_arty_a7_timing.rpt
report_power                                   -file digilent_arty_a7_power.rpt


# write bitstream
write_bitstream -force "digilent_arty_a7_100t.bit"

exit